%define name	linux32
%define version 1.0
%define release 3mdk

# TODO: integrate into glibc package
ExclusiveArch:	x86_64 amd64 ppc64 sparc64
Summary:	linux32
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	linux32.c
Source1:	README.linux32
License:	Copyright (c) 2002 SuSE Linux AG
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This is a small tool for the 32-bit emulation in Linux/AMD64. It
allows to execute programs that need an uname -m of i386 with uname
emulation. Likewise for other biarch systems as sparc64/sparc,
ppc64/ppc, etc.

%prep
%setup -c -T
cp %{SOURCE0} linux32.c
cp %{SOURCE1} README

%build
%__cc %optflags linux32.c -o linux32

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 linux32 $RPM_BUILD_ROOT%{_bindir}/
ln -s linux32 $RPM_BUILD_ROOT%{_bindir}/linux64

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/linux32
%{_bindir}/linux64

%changelog
* Tue Aug 05 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-3mdk
- sparc64, ppc64, as description said
 
* Tue Aug  5 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-2mdk
- amd64

* Fri Apr 25 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-1mdk
- First Mandrake Linux release

# end of file
